%define fontname serafettin-cartoon
%define fontconf 66-%{fontname}.conf
%define archivename %{name}-%{version}

Name:          %{fontname}-fonts
Version:       0.5
Release:       1%{?dist}
Summary:       Sans-serif Cartoon Fonts
Group:         User Interface/X
License:       GPLv2+
URL:           http://serafettin.sourceforge.net/
Source0:       http://downloads.sourceforge.net/serafettin/%{archivename}.tar.bz2
BuildRoot:     %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:     noarch

BuildRequires: fontforge
BuildRequires: fontpackages-devel

Requires:      fontpackages-filesystem

%description
Serafettin aims to be a collection of free Latin fonts for daily usage.
Currently it contains a free cartoon sans-serif font. It is based on Thukkaram 
Gopalrao's TSCu_Comic of tamillinux project. 

%prep
%setup -q -n %{archivename}


%build
make %{?_smp_flags}


%install
rm -fr %{buildroot}

DESTDIR=%{buildroot} make install

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontname}.conf \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc ChangeLog.txt COPYING.txt FONTLOG.txt README.txt
%dir %{_fontdir}


%changelog
* Tue Jan 13 2009 <oget [DOT] fedora [AT] gmail [DOT] com> - 0.5-1
- New version with various fixes suggested by review in RHBZ#479596

* Sun Jan 11 2009 <oget [DOT] fedora [AT] gmail [DOT] com> - 0.4-1
- New version with a name change (comic -> cartoon)

* Sun Dec 28 2008 <oget [DOT] fedora [AT] gmail [DOT] com> - 0.3-1
- Initial release
